* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.menu {
    position: fixed;
    top: 50%;
    left: -180px;
    display: flex;
}

.show {
    width: 150px;
    height: 20px;
    background-color: black;
    color: white;
    transform: rotate(90deg);
    transform-origin: left top 0;
    cursor: pointer;
}

.text-area {
    width: 200px;
    height: 150px;
    background-color: #ccc;
}

.active {
    left: 0px;
}